<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Mitarbeiter\Anmeldung\NachlassDialog;

class NachlassDialogController extends \Kufer\Web\KuferTools\Basis\NachlassDialog\NachlassDialogController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new NachlassDialogUseCase(
      $this->getRequestObj()
    );
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new NachlassDialogPresenter($pUseCaseResponse);
  }
}